# std::map<Key,T,Compare,Allocator>::get_allocator

From cppreference.com
< cpp‎ | container‎ | map

allocator_type get_allocator() const; |  |

Returns the allocator associated with the container.

### Parameters

(none)

### Return value

The associated allocator.

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/map/get_allocator&oldid=50560"